<div class="profile-content">
	<div class="row">
		<div class="col-md-12">
			<h3><?php echo esc_html_e('My Orders', 'finaluser'); ?></h3>
			<div class="photo-setting-single">
				<div class="arrow"></div>
				<div class="margiv-top-10 ">
					<?php
						global $woocommerce;
						$args = array(
						// WC orders post type
						'post_type'   => 'shop_order',
						'numberposts' => -1,
						// for current user id
						'meta_key'    => '_customer_user',
						'meta_value'  => get_current_user_id(),
						// get orders statuses
						'post_status' => array_keys(wc_get_order_statuses()),
						);
						// Get all customer orders
						$customer_orders = get_posts( $args );
						$count_ord = 0;
						if (!empty($customer_orders))
						foreach ( $customer_orders as $custo_order )
						$count_ord++;
						if ( $count_ord > 0 )
						$has_orders = true;
						else
						$has_orders = false;
					?>
					<?php do_action( 'woocommerce_before_account_orders', $has_orders ); ?>
					<?php
					if ( $has_orders ) : ?>
					<table class="woocommerce-orders-table woocommerce-MyAccount-orders shop_table shop_table_responsive my_account_orders account-orders-table">
						<thead>
							<tr>
								<?php foreach ( wc_get_account_orders_columns() as $column_id => $column_name ) : ?>
								<th class="woocommerce-orders-table__header woocommerce-orders-table__header-<?php echo esc_attr( $column_id ); ?>"><span class="nobr"><?php echo esc_html( $column_name ); ?></span></th>
								<?php endforeach; ?>
							</tr>
						</thead>
						<tbody>
							<?php
								$order_statuses = array('wc-on-hold', 'wc-processing', 'wc-completed');
								$user_id=$current_user->ID;
								$customer_orders = get_posts( array(
								'meta_key'    => '_customer_user',
								'meta_value'  => $user_id,
								'post_type'   => 'shop_order',
								'post_status' => $order_statuses,
								'numberposts' => -1
								));
								foreach ( $customer_orders as $customer_order ) :
								$order      = wc_get_order( $customer_order );
								$item_count = $order->get_item_count();
							?>
							<tr class="woocommerce-orders-table__row woocommerce-orders-table__row--status-<?php echo esc_attr( $order->get_status() ); ?> order">
								<?php foreach ( wc_get_account_orders_columns() as $column_id => $column_name ) : ?>
								<td class="woocommerce-orders-table__cell woocommerce-orders-table__cell-<?php echo esc_attr( $column_id ); ?>" data-title="<?php echo esc_attr( $column_name ); ?>">
									<?php if ( has_action( 'woocommerce_my_account_my_orders_column_' . $column_id ) ) : ?>
									<?php do_action( 'woocommerce_my_account_my_orders_column_' . $column_id, $order ); ?>
									<?php elseif ( 'order-number' === $column_id ) : ?>
									<a href="profile=order-detail&order_id=<?php echo esc_html($order->get_order_number() ); ?>">
										<?php echo _x( '#', 'hash before order number', 'finaluser' ) . $order->get_order_number(); ?>
									</a>
									<?php elseif ( 'order-date' === $column_id ) : ?>
									<a href="?&profile=order-detail&order_id=<?php echo esc_html($order->get_order_number()) ; ?>"><time datetime="<?php echo esc_attr( $order->get_date_created()->date( 'c' ) ); ?>"><?php echo esc_html( wc_format_datetime( $order->get_date_created() ) ); ?></time> </a>
									<?php elseif ( 'order-status' === $column_id ) : ?>
									<?php echo esc_html( wc_get_order_status_name( $order->get_status() ) ); ?>
									<?php elseif ( 'order-total' === $column_id ) : ?>
									<?php
										/* translators: 1: formatted order total 2: total order items */
										printf( _n( '%1$s for %2$s item', '%1$s for %2$s items', $item_count, 'finaluser' ), $order->get_formatted_order_total(), $item_count );
									?>
									<?php elseif ( 'order-actions' === $column_id ) : ?>
									<a href="?&profile=order-detail&order_id=<?php echo esc_html($order->get_order_number()) ; ?>"><?php  esc_html_e('View','finaluser');?></a>
									<?php endif; ?>
								</td>
								<?php endforeach; ?>
							</tr>
							<?php endforeach; ?>
						</tbody>
					</table>
					<?php do_action( 'woocommerce_before_account_orders_pagination' ); ?>
					<?php
						if(isset($customer_orders->max_num_pages)){
						if ( 1 < $customer_orders->max_num_pages ) : ?>
						<div class="woocommerce-pagination woocommerce-pagination--without-numbers woocommerce-Pagination">
							<?php if ( 1 !== $current_page ) : ?>
							<a class="woocommerce-button woocommerce-button--previous woocommerce-Button woocommerce-Button--previous button" href="<?php echo esc_url( wc_get_endpoint_url( 'orders', $current_page - 1 ) ); ?>"><?php esc_html_e( 'Previous', 'finaluser' ); ?></a>
							<?php endif; ?>
							<?php if ( intval( $customer_orders->max_num_pages ) !== $current_page ) : ?>
							<a class="woocommerce-button woocommerce-button--next woocommerce-Button woocommerce-Button--next button" href="<?php echo esc_url( wc_get_endpoint_url( 'orders', $current_page + 1 ) ); ?>"><?php esc_html_e( 'Next', 'finaluser' ); ?></a>
							<?php endif; ?>
						</div>
						<?php endif;
						}
					?>
					<?php else : ?>
					<div class="woocommerce-message woocommerce-message--info woocommerce-Message woocommerce-Message--info woocommerce-info">
						<a class="woocommerce-Button button" href="<?php echo esc_url( apply_filters( 'woocommerce_return_to_shop_redirect', wc_get_page_permalink( 'shop' ) ) ); ?>">
							<?php esc_html_e( 'Go shop', 'woocommerce' ) ?>
						</a>
						<?php esc_html_e( 'No order has been made yet.', 'woocommerce' ); ?>
					</div>
					<?php endif;
					?>  
				</div>
			</div>
		</div>
	</div>
</div>