<?php
/**
 * Plugin Solutions & Features Page
 *
 * @package WP News and Scrolling Widgets
 * @since 1.0.0
 */

if ( ! defined( 'ABSPATH' ) ) {
	exit; // Exit if accessed directly
}

// Taking some variables
$wpnw_add_link = add_query_arg( array( 'post_type' =>WPNW_POST_TYPE ), admin_url( 'post-new.php' ) );
?>

<div id="wrap">
	<div class="wpnw-sf-wrap">
		<div class="wpnw-sf-inr">
		
		<div class="wpnw-sf-features-section wpnw-sf-team wpnw-sf-center">
				<h1 class="wpnw-sf-heading">Now get best value from <span class="wpnw-sf-blue">Annual</span> OR <span class="wpnw-sf-blue">Lifetime</span> deal</h1>
				<h2>And Build <span class="bg-highlight">better websites</span>, <span class="bg-highlight">landing pages</span> & <span class="bg-highlight">conversion flow</span></h2>
				<h2>With <span class="wpnw-sf-blue">35+ plugins</span>, <span class="wpnw-sf-blue">2000+ templates</span> & $600 saving in <span class="wpnw-sf-blue">Essential Plugin Bundle</span></h2>
				<a href="<?php echo WPNW_PLUGIN_BUNDLE_LINK; ?>"  target="_blank" class="wpnw-sf-btn wpnw-sf-btn-orange"><span class="dashicons dashicons-cart"></span> Grab Now This Deal</a>
			</div>
			<div class="wpnw-sf-features-section wpnw-sf-team wpnw-sf-center">
					<h1 class="wpnw-sf-heading">Powerful Team Behind <span class="wpnw-sf-blue">News Builder</span></h1>
						<div class="wpnw-sf-cont">Alone we can do so little; together we can do so much. Our love language is helping small businesses grow and compete with the big guys.  Every time you see growth in your business, our little hearts go flip-flop!</div>
						<p></p>
						<div class="wpnw-sf-cont">This is why I wanted to introduce you to <span class="wpnw-sf-blue">Anoop Ranawat & Team</span> at EssentialPlugin.com</div>
						<img class="wpnw-sf-image" src="<?php echo WPNW_URL; ?>/assets/images/wpos-team.png" alt="wpos team" />
				</div>
		
			
			<h1 class="wpnw-sf-heading">Display customizable  <span class="wpnw-sf-blue">news layouts, vertical scrolling news widgets</span> in the most engaging and customized way</h1>
			<!-- Start - Welcome Box -->
			<div class="wpnw-sf-welcome-wrap">
				<div class="wpnw-sf-welcome-inr wpnw-sf-center">					
						
						<h5 class="wpnw-sf-content">Experience <span class="wpnw-sf-blue">7 Layouts</span>, <span class="wpnw-sf-blue">70+ stunning designs</span>. </h5>
						<h5 class="wpnw-sf-content"><span class="wpnw-sf-blue">20,000+ </span>websites are using <span class="wpnw-sf-blue">News Builder</span>.</h5>
						<a href="<?php echo esc_url( $wpnw_add_link ); ?>" class="wpnw-sf-btn">Launch News With Free Features</a> <br /><b>OR</b> <br /> <a href="<?php echo WPNW_PLUGIN_BUNDLE_LINK; ?>"  target="_blank" class="wpnw-sf-btn wpnw-sf-btn-orange"> <span class="dashicons dashicons-cart"></span> Grab Now With Essential Bundle</a>
						<div class="wpnw-rc-wrap">
							<div class="wpnw-rc-inr wpnw-rc-bg-box">
								<div class="wpnw-rc-icon">
									<img src="<?php echo esc_url( WPNW_URL ); ?>assets/images/popup-icon/14-days-money-back-guarantee.png" alt="14-days-money-back-guarantee" title="14-days-money-back-guarantee" />
								</div>
								<div class="wpnw-rc-cont">
									<h3>14 Days Refund Policy</h3>
									<p>14-day No Question Asked Refund Guarantee</p>
								</div>
							</div>
							<div class="wpnw-rc-inr wpnw-rc-bg-box">
								<div class="wpnw-rc-icon">
									<img src="<?php echo esc_url( WPNW_URL ); ?>assets/images/popup-icon/popup-design.png" alt="popup-design" title="popup-design" />
								</div>
								<div class="wpnw-rc-cont">
									<h3>Include Done-For-You News Setup</h3>
									<p>Our experts team will design 1 free news page for you as per your need.</p>
								</div>
							</div>
						</div>
					<div class="wpnw-sf-welcome-left">
						
					</div>
					<div class="wpnw-sf-welcome-right">
						
					</div>
				</div>
			</div>
			<!-- End - Welcome Box -->

			<!-- Start - WP News and Scrolling Widgets - Features -->
			<div class="wpnw-features-section">
				<div class="wpnw-sf-center">
					<h1 class="wpnw-sf-heading">Powerful Pro Features, Simplified</h1>
					
				</div>
				<div class="wpnw-sf-welcome-wrap wpnw-sf-center">	
					<div class="wpnw-features-box-wrap">
						<ul class="wpnw-features-box-grid">
							<li>
							<div class="wpnw-popup-icon"><img src="<?php echo WPNW_URL; ?>assets/images/popup-icon/blog-grid.png" /></div>
							News Grid View</li>
							<li>
							<div class="wpnw-popup-icon"><img src="<?php echo WPNW_URL; ?>assets/images/popup-icon/slider.png" /></div>
							News Slider View</li>
							<li>
							<div class="wpnw-popup-icon"><img src="<?php echo WPNW_URL; ?>assets/images/popup-icon/blog-list-view.png" /></div>
							News List View</li>
							<li>
							<div class="wpnw-popup-icon"><img src="<?php echo WPNW_URL; ?>assets/images/popup-icon/carousel.png" /></div>
							News Ticker View</li>
							<li>
							<div class="wpnw-popup-icon"><img src="<?php echo WPNW_URL; ?>assets/images/popup-icon/centermode.png" /></div>
							News Centermode View</li>
							<li>
							<div class="wpnw-popup-icon"><img src="<?php echo WPNW_URL; ?>assets/images/popup-icon/grid-box.png" /></div>
							News Gridbox View</li>
							<li>
							<div class="wpnw-popup-icon"><img src="<?php echo WPNW_URL; ?>assets/images/popup-icon/grid-box.png" /></div>
							News Gridbox Slider View</li>
							<li>
							<div class="wpnw-popup-icon"><img src="<?php echo WPNW_URL; ?>assets/images/popup-icon/blog-masonry.png" /></div>
							News Masonry View</li>
						</ul>
					</div>
					<a href="<?php echo WPNW_PLUGIN_BUNDLE_LINK; ?>" target="_blank" class="wpnw-sf-btn wpnw-sf-btn-orange"><span class="dashicons dashicons-cart"></span> Grab Now Pro Features</a>
					<div class="wpnw-rc-wrap">
						<div class="wpnw-rc-inr wpnw-rc-bg-box">
							<div class="wpnw-rc-icon">
								<img src="<?php echo esc_url( WPNW_URL ); ?>assets/images/popup-icon/14-days-money-back-guarantee.png" alt="14-days-money-back-guarantee" title="14-days-money-back-guarantee" />
							</div>
							<div class="wpnw-rc-cont">
								<h3>14 Days Refund Policy. 0 risk to you.</h3>
								<p>14-day No Question Asked Refund Guarantee</p>
							</div>
						</div>
						<div class="wpnw-rc-inr wpnw-rc-bg-box">
							<div class="wpnw-rc-icon">
								<img src="<?php echo esc_url( WPNW_URL ); ?>assets/images/popup-icon/popup-design.png" alt="popup-design" title="popup-design" />
							</div>
							<div class="wpnw-rc-cont">
								<h3>Include Done-For-You News Setup</h3>
									<p>Our experts team will design 1 free news page for you as per your need.</p>
							</div>
						</div>
					</div>
				</div>
			</div>
			<!-- End - Logo Showcase - Features -->
			
			<!-- Start - Pagebuilder Section -->
			
			<div class="wpnw-sf-testimonial-wrap">
				<div class="wpnw-sf-center wpnw-sf-features-ttl">
					<h1 class=" wpnw-sf-heading">Seamless Integration With All Major <span class=" wpnw-sf-blue">Page Builders</span></h1>	
					<div class=" wpnw-sf-cont  wpnw-sf-center">Compatible with Gutenberg, DIVI, Elementor, Avada, VC/WPbakery etc page builder/themes</div>
					<div class=" wpnw-sf-welcome-wrap  wpnw-sf-center">
						<img src="<?php echo esc_url( WPNW_URL ); ?>assets/images/page-builder-icon.png" alt="page-builder-icon" title="page-builder-icon" />	
					</div>	
				</div>
	
			</div>
			<!-- End - pagebuilder Section -->

			<!-- Start - Testimonial Section -->
			<div class="wpnw-sf-testimonial-wrap">
				<div class="wpnw-sf-center wpnw-sf-features-ttl">
					<h1 class="wpnw-sf-heading">Looking for a Reason to Use <span class="wpnw-sf-blue">News</span>?</h1>	
					<div class="wpnw-sf-cont wpnw-sf-center"> Here are 40+...</div>	
										
				</div>
				<div class="wpnw-testimonial-section-inr">
					<div class="wpnw-testimonial-box-wrap">
						<div class="wpnw-testimonial-box-grid">
							<h3 class="wpnw-testimonial-title">Simple and elegant</h3>
							<div class="wpnw-testimonial-desc">I have used this for 2 years and it just works! Very easy to use, and if you need support, they do respond. A big thanks to the developers.</div>
							<div class="wpnw-testimonial-clnt">@poinsy</div>
							<div class="wpnw-testimonial-rating"><img src="<?php echo WPNW_URL; ?>assets/images/rating.png" /></div>
						</div>
						<div class="wpnw-testimonial-box-grid">
							<h3 class="wpnw-testimonial-title">Good plugin and helpful support</h3>
							<div class="wpnw-testimonial-desc">Useful and customizable plugin. Support questions are answered prompt and knowledgeable.</div>
							<div class="wpnw-testimonial-clnt">@njvermeer</div>
							<div class="wpnw-testimonial-rating"><img src="<?php echo WPNW_URL; ?>assets/images/rating.png" /></div>
						</div>
						<div class="wpnw-testimonial-box-grid">
							<h3 class="wpnw-testimonial-title">great plugin and quick support</h3>
							<div class="wpnw-testimonial-desc">Awesome plugin, easy setup and a lot of graphic layouts. Quick and highly trained support</div>
							<div class="wpnw-testimonial-clnt">@matteotacconi</div>
							<div class="wpnw-testimonial-rating"><img src="<?php echo WPNW_URL; ?>assets/images/rating.png" /></div>
						</div>
						<div class="wpnw-testimonial-box-grid">
							<h3 class="wpnw-testimonial-title">Great plugin and helpful support</h3>
							<div class="wpnw-testimonial-desc">I used this plug-in for my website and it was great. Also Ketan Patel (@patelketan) from the support team was very helpful. Highly recommend.</div>
							<div class="wpnw-testimonial-clnt">@nadiasakkaf</div>
							<div class="wpnw-testimonial-rating"><img src="<?php echo WPNW_URL; ?>assets/images/rating.png" /></div>
						</div>
						<div class="wpnw-testimonial-box-grid">
							<h3 class="wpnw-testimonial-title">Quick and on the spot</h3>
							<div class="wpnw-testimonial-desc">Had a problem today with their news plugin. Sent them an e-mail at support@. Within a quarter of an hour they sent me the solution. Great plugin, perfect support!</div>
							<div class="wpnw-testimonial-clnt">@bertbulder</div>
							<div class="wpnw-testimonial-rating"><img src="<?php echo WPNW_URL; ?>assets/images/rating.png" /></div>
						</div>
						<div class="wpnw-testimonial-box-grid">
							<h3 class="wpnw-testimonial-title">Fantastic support</h3>
							<div class="wpnw-testimonial-desc">Solved my problem in one minute. Perfekt support via livechat! Thank you, Maharshi!</div>
							<div class="wpnw-testimonial-clnt">@manuelu</div>
							<div class="wpnw-testimonial-rating"><img src="<?php echo WPNW_URL; ?>assets/images/rating.png" /></div>
						</div>
					</div>
					<a href="https://wordpress.org/support/plugin/sp-news-and-widget/reviews/?filter=5" target="_blank" class="wpnw-sf-btn"><span class="dashicons dashicons-star-filled"></span> View All Reviews</a> OR <a href="<?php echo WPNW_PLUGIN_BUNDLE_LINK; ?>"  target="_blank" class="wpnw-sf-btn wpnw-sf-btn-orange"> <span class="dashicons dashicons-cart"></span>Grab Now Pro Features</a>
					<div class="wpnw-rc-wrap">
						<div class="wpnw-rc-inr wpnw-rc-bg-box">
							<div class="wpnw-rc-icon">
								<img src="<?php echo esc_url( WPNW_URL ); ?>assets/images/popup-icon/14-days-money-back-guarantee.png" alt="14-days-money-back-guarantee" title="14-days-money-back-guarantee" />
							</div>
							<div class="wpnw-rc-cont">
								<h3>14 Days Refund Policy. 0 risk to you.</h3>
								<p>14-day No Question Asked Refund Guarantee</p>
							</div>
						</div>
						<div class="wpnw-rc-inr wpnw-rc-bg-box">
							<div class="wpnw-rc-icon">
								<img src="<?php echo esc_url( WPNW_URL ); ?>assets/images/popup-icon/popup-design.png" alt="popup-design" title="popup-design" />
							</div>
							<div class="wpnw-rc-cont">
								<h3>Include Done-For-You News Setup</h3>
									<p>Our experts team will design 1 free news page for you as per your need.</p>
							</div>
						</div>
					</div>
				</div>
			</div>
			<!-- End - Testimonial Section -->
		</div>
	</div><!-- end .wpnw-sf-wrap -->
</div><!-- end .wrap -->